Changeset 5206 in /cluster/svnroot


Ignore:
Timestamp:
Jul 7, 2015 4:28:10 PM (5 years ago)
Author:
skylar
Message:

merge addresses #944

Location:
bccd-ng/tags/bccd-3.4.0-rc
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • bccd-ng/tags/bccd-3.4.0-rc

  • bccd-ng/tags/bccd-3.4.0-rc/bin/build_bootable_USB.sh

    r4789 r5206  
    4444        fi
    4545    done
    46     if ! make -C ${BUILD_DIR} clean; then
    47         echo "Couldn't clean ${BUILD_DIR}, proceeding" >&2
    48     fi
    49     /bin/rm -fr ${BUILD_DIR}
    5046}
    5147
     
    113109
    114110echo '---> Checking dependencies'
    115 for dep in mkfs.vfat wget parted syslinux rsync du fdisk; do
     111for dep in mkfs.vfat parted syslinux rsync du fdisk; do
    116112        if [[ -z $(which ${dep}) ]]; then
    117113                echo "$0: ERROR: Missing dependency: ${dep}" >&2
     
    126122done
    127123
    128 BUILD_DIR=$(mktemp -d build.XXXXXXX --tmpdir=/tmp)
    129 
    130 pushd ${BUILD_DIR}
    131 
    132 for FILE in Makefile bdev_size.c; do
    133     if ! wget -q ${SVN_URL}/bin/${FILE}; then
    134         echo "Fetching ${FILE} from ${SVN_URL} failed!" >&2
    135         exit 2
    136     fi
    137 done
    138 
    139 if ! make bdev_size; then
    140     echo "Making bdev_size failed!" >&2
    141     exit 2
    142 fi
    143 
    144 DRIVE_SIZE=$(./bdev_size -d ${DRIVE})
     124DRIVE_SIZE=$(/bin/lsblk -ndb /dev/sdb|/usr/bin/awk '{print $4}')
    145125if [[ -z ${DRIVE_SIZE} ]]; then
    146126    echo "Can't size for ${DRIVE}" >&2
     
    361341echo '---> Script finished.'
    362342
    363 popd
    364343exit 0
Note: See TracChangeset for help on using the changeset viewer.